[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[eclipse.org-planning-council] Europa and UM bugs

Hi all,
 
I finally got to completing my action item from Sunday's Europa meeting,
verifying Update Manager Bugs, and verified that bug 154505 (Select
required chooses SDK instead of Runtime feature) is still an issue.
I commented on the bug with further findings.
 
Summing up on Update Manager Bugs, I think that the following
are currently the most problematic for Europa:
 
    signed, packed bundles with nested jars do not install
 
    search for updates on features with dependencies requires multiple scans
    --> That's Mik's bug
 
    Select required fails for dependencies expressed on bundle level
   --> That's Christian's (EMF)
 
    Select Required chooses SDK instead of Runtime
    --> That's mine
 
It looks like #2, #3, #4 are all related.
 
It looks like a proper solution would probably address #3, since it seems
better to express dependencies in terms of bundles rather than features.
#3 might be the hardest to address, but solving it would probably solve
the others too.
 
Getting rid of as many features as possible (such that the features on the
update site only name the "entry level" selections which do not depend on
others) would probably also help addressing
required bundles are less problematic to UM than missing features).
 
Cheers
Martin